<template>
  <v-card flat width="450" height="550" class="login-card">
    <v-card-text>
      <login-title title="Iniciar sesión" />
      <login-form
        :loading="loading"
        @forgot-password="forgotPassword"
        @submit-login="login"
      />
    </v-card-text>
  </v-card>
</template>
<script>
import LoginTitle from '~/components/Common/Login/LoginTitle';
import LoginForm from '~/components/Common/Login/LoginCard/LoginForm';
import { errorOptions } from '~/helpers/toast';

export default {
  name: 'LoginCard',
  components: {
    LoginTitle,
    LoginForm,
  },
  data() {
    return {
      loading: false,
    };
  },
  methods: {
    async login({ email, password }) {
      this.loading = true;
      try {
        await this.$auth.loginWith('local', {
          data: {
            email,
            password,
          },
        });
      } catch (e) {
        this.$toast.error('Credenciales incorrectas', errorOptions);
      }
      this.loading = false;
    },
    forgotPassword() {
      this.$emit('forgot-password');
    },
  },
};
</script>
<style scoped lang="scss">
.login-card {
  padding: 0 20px;
  display: flex;
  align-items: center;
}
.forgot {
  cursor: pointer;
  text-align: right;
}
</style>
